export const AllChains = [
  {
    name: 'Ethereum Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.ankr.com/eth',
    id: 1,
    symbol: 'ETH',
    explorerurl: 'https://etherscan.io',
  },
  {
    name: 'Ethereum Ropsten Testnet RPC',
    type: 'Testnet',
    rpc: 'https://ropsten.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161',
    id: 3,
    symbol: 'ETH',
    explorerurl: 'https://ropsten.etherscan.io',
  },
  {
    name: 'Ethereum Rinkeby Testnet RPC',
    type: 'Testnet',
    rpc: 'https://rinkey.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161',
    id: 4,
    symbol: 'ETH',
    explorerurl: 'https://rinkey.etherscan.io',
  },
  {
    name: 'Ethereum Goerli Testnet RPC',
    type: 'Testnet',
    rpc: 'https://goerli.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161',
    id: 5,
    symbol: 'ETH',
    explorerurl: 'https://goerli.etherscan.io',
  },
  {
    name: 'Ethereum Kovan Testnet RPC',
    type: 'Testnet',
    rpc: 'https://kovan.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161',
    id: 6,
    symbol: 'ETH',
    explorerurl: 'https://kovan.etherscan.io',
  },
  {
    name: 'Ubiq Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.octano.dev/',
    id: 8,
    symbol: 'UBQ',
    explorerurl: 'https://ubiqscan.io/',
  },
  {
    name: 'Elastos ETH Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://api.elastos.io/eth',
    id: 20,
    symbol: 'ELA',
    explorerurl: 'https://explorer.elaeth.io/',
  },
  {
    name: 'Cronos Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://evm-cronos.crypto.org',
    id: 25,
    symbol: 'CRO',
    explorerurl: 'https://cronos.crypto.org/explorer/',
  },
  {
    name: 'Telos EVM Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://mainnet.telos.net/evm',
    id: 40,
    symbol: 'TLOS',
    explorerurl: 'https://telos.net/',
  },
  {
    name: 'Binance Smart Chain',
    type: 'Mainnet',
    rpc: 'https://rpc.ankr.com/bsc',
    id: 56,
    symbol: 'BNB',
    explorerurl: 'https://bscscan.com',
  },
  {
    name: 'OKExChain Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://exchainrpc.okex.org',
    id: 66,
    symbol: 'OKT',
    explorerurl: 'https://www.oklink.com/okexchain',
  },
  {
    name: 'Hoo Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://http-mainnet.hoosmartchain.com',
    id: 70,
    symbol: 'HOO',
    explorerurl: 'https://hooscan.com',
  },
  {
    name: 'Binance Testnet',
    type: 'Testnet',
    rpc: 'https://data-seed-prebsc-1-s1.binance.org:8545/',
    id: 97,
    symbol: 'BNB',
    explorerurl: 'https://testnet.bscscan.com',
  },
  {
    name: 'xDai Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.xdaichain.com/',
    id: 100,
    symbol: 'XDAI',
    explorerurl: 'https://blockscout.com/xdai/mainnet/',
  },
  {
    name: 'Fuse Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.fuse.io',
    id: 122,
    symbol: 'FUSE',
    explorerurl: 'https://explorer.fuse.io/',
  },
  {
    name: 'HECO Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://http-mainnet-node.huobichain.com/',
    id: 128,
    symbol: 'HT',
    explorerurl: 'https://hecoinfo.com/',
  },
  {
    name: 'Matic Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://polygon-rpc.com',
    id: 137,
    symbol: 'MATIC',
    explorerurl: 'https://explorer.matic.network/',
  },
  {
    name: 'Fantom Opera Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.ftm.tools/',
    id: 250,
    symbol: 'FTM',
    explorerurl: 'https://ftmscan.com',
  },
  {
    name: 'HECO Testnet RPC',
    type: 'Testnet',
    rpc: 'https://http-testnet.hecochain.com',
    id: 256,
    symbol: 'HT',
    explorerurl: 'https://testnet.hecoinfo.com/',
  },
  {
    name: 'KCC Mainnet',
    type: 'Mainnet',
    rpc: 'https://rpc-mainnet.kcc.network',
    id: 321,
    symbol: 'KCS',
    explorerurl: 'https://scan.kcc.network',
  },
  {
    name: 'KCC Testnet',
    type: 'Testnet',
    rpc: 'https://rpc-testnet.kcc.network',
    id: 322,
    symbol: 'tKCS',
    explorerurl: 'https://scan-testnet.kcc.network',
  },
  {
    name: 'Moonriver Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.moonriver.moonbeam.network',
    id: 1285,
    symbol: 'MOVR',
    explorerurl: 'https://blockscout.moonriver.moonbeam.network/',
  },
  {
    name: 'Fantom Testnet RPC',
    type: 'Testnet',
    rpc: 'https://rpc.testnet.fantom.network/',
    id: 4002,
    symbol: 'FTM',
    explorerurl: 'https://testnet.ftmscan.com',
  },
  {
    name: 'IoTeX Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://babel-api.mainnet.iotex.io',
    id: 4689,
    symbol: 'IOTEX',
    explorerurl: 'https://iotexscan.io/',
  },
  {
    name: 'Nahmii Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://l2.nahmii.io/',
    id: 5551,
    symbol: 'ETH',
    explorerurl: 'https://explorer.nahmii.io/',
  },
  {
    name: 'Nahmii Testnet RPC',
    type: 'Testnet',
    rpc: 'https://l2.testnet.nahmii.io/',
    id: 5553,
    symbol: 'ETH',
    explorerurl: 'https://explorer.testnet.nahmii.io/',
  },
  {
    name: 'Arbitrum One',
    type: 'Mainnet',
    rpc: 'https://arb-mainnet.g.alchemy.com/v2/tFPlLg-MT8uGkM5wKHyoBqEHWJJ0o3Nt|https://endpoints.omniatech.io/v1/arbitrum/one/public|https://rpc.ankr.com/arbitrum',
    id: 42161,
    network: 'ARBITRUM',
    symbol: 'ETH',
    explorerurl: 'https://arbiscan.io/',
  },
  {
    name: 'Celo Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.ankr.com/celo',
    id: 42220,
    symbol: 'CELO',
    explorerurl: 'https://celoscan.com',
  },
  {
    name: 'Avalanche C Chain Local RPC',
    type: 'Testnet',
    rpc: 'https://localhost:9650/ext/bc/C/rpc',
    id: 43112,
    symbol: 'AVAX',
    explorerurl: 'https://snowtrace.io',
  },
  {
    name: 'Avalanche FUJI Testnet RPC',
    type: 'Testnet',
    rpc: 'https://api.avax-test.network/ext/bc/C/rpc',
    id: 43113,
    symbol: 'AVAX',
    explorerurl: 'https://testnet.explorer.avax.network/',
  },
  {
    name: 'Avalanche C Chain Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://rpc.ankr.com/avalanche',
    id: 43114,
    symbol: 'AVAX',
    explorerurl: 'https://snowtrace.io',
  },
  {
    name: 'Matic Testnet RPC',
    type: 'Testnet',
    rpc: 'https://rpc-mumbai.maticvigil.com|https://matic-mumbai.chainstacklabs.com|https://polygon-testnet.public.blastapi.io|https://rpc.ankr.com/polygon_mumbai',
    id: 80001,
    symbol: 'MATIC',
    explorerurl: 'https://mumbai.polygonscan.com/',
  },
  {
    name: 'Arbitrum Goerli',
    type: 'Testnet',
    rpc: 'https://goerli-rollup.arbitrum.io/rpc|https://endpoints.omniatech.io/v1/arbitrum/goerli/public',
    id: 421613,
    network: 'AGOR',
    symbol: 'AGOR',
    explorerurl: 'https://goerli-rollup-explorer.arbitrum.io',
  },
  {
    name: 'Harmony Mainnet RPC',
    type: 'Mainnet',
    rpc: 'https://api.harmony.one/',
    id: 1666600000,
    symbol: 'ONE',
    explorerurl: 'https://explorer.harmony.one',
  },
  {
    name: 'Harmony Testnet RPC',
    type: 'Testnet',
    rpc: 'https://api.s0.b.hmny.io/',
    id: 1666700000,
    symbol: 'ONE',
    explorerurl: 'https://explorer.harmony.one',
  },
  {
    name: 'Local Testnet',
    type: 'Local',
    rpc: 'https://login-test.kingsome.cn/rpc',
    id: 1338,
    symbol: 'ETH',
    explorerurl: 'https://explorer.harmony.one',
  },
]
